use serenity::prelude::*;
use serenity::{
    framework::standard::{macros::command, Args, CommandResult},
    model::channel::Message,
    utils,
};

#[command]
#[description = "echos the message given"]
pub async fn echo(ctx: &Context, msg: &Message, args: Args) -> CommandResult {
    msg.channel_id
        .say(
            &ctx.http,
            utils::content_safe(&ctx, args.rest(), &utils::ContentSafeOptions::default()).await,
        )
        .await?;
    Ok(())
}
